/*
 * error.h - Error reporting
 *
 * Written 2003 by Werner Almesberger, Caltech Netlab FAST project
 */

#ifndef ERROR_H
#define ERROR_H


extern int lineno; /* on behalf of script.l */


struct location {
    const char *file;
    int line;
};


void __attribute__((noreturn)) clerrorf(const char *fmt,...);
  /* cl = current location */
void __attribute__((noreturn)) clperror(const char *s);
void set_location(const struct location *loc);

struct location current_location(void);
void input_file(const char *name);

void location_cleanup(void);

#endif /* ERROR_H */
