#!/bin/sh
#
# runtests.sh - Run regression tests from standard input
#
# Written 2001,2002 by Werner Almesberger
# Copyright 2001 EPFL-ICA
# Copyright 2001,2002 Bivio Networks, Network Robots
# Copyright 2002,2003 Werner Almesberger, California Institute of Technology
#

# runtests.sh defines the command dumpbb, so that no path names have to be
# specified to access it.

.  ../runtests.common

DUMPBB_CMD="`find_in_path dumpbb $TOPDIR/dumpbb:.:..:$PATH`"
add_command 'dumpbb() { '"$VALGRIND"' '$DUMPBB_CMD' "$@" 2>_tmp_err.$$; \
  retval=$?; \
  sed '\''/^ *$/d;/^ *Electric Fence/d'\'' <_tmp_err.$$ 1>&2; \
  rm -f _tmp_err.$$; return $retval; }'

SBUG_CMD="`find_in_path sbug $TOPDIR/dumpbb:.:..:$PATH`"
add_command 'sbug() { '"$VALGRIND"' '$SBUG_CMD' "$@" 2>_tmp_err.$$; retval=$?; \
  PATH=$PATH:/bin:/usr/bin; \
  sed '\''/^ *$/d;/^ *Electric Fence/d'\'' <_tmp_err.$$ 1>&2; \
  rm -f _tmp_err.$$; return $retval; }'

run_tests "$@"
