/*
 * dwarfhelp.h - Helper functions for reading DWARF information
 *
 * Written 2002 by Werner Almesberger, Caltech Netlab FAST project
 */

/*
 * Included by dwarf.c and dwxloc.c. The functions are defined in dwarf.c
 */


#ifndef DWARFHELP_H
#define DWARFHELP_H

#include <inttypes.h>

unsigned uLEB128_decode(const void **buf);
int sLEB128_decode(const void **buf);

/*
 * @@@ Fixme: the names are far too generic for public export, and the
 * functions should be byte-order aware anyway. Also add read_size and write
 * read_addr (and introduce some suitable address type).
 */

uint16_t read_16(const unsigned char *p);
uint32_t read_32(const unsigned char *p);

#endif /* DWARFHELP_H */
