/*
 * dwxout.h - Output data according to DWARF information
 *
 * Written 2002,2003 by Werner Almesberger, Caltech Netlab FAST project
 */


#ifndef DWXOUT_H
#define DWXOUT_H

#include <stdio.h>

#include "dwxtype.h"

int dwx_sizeof(const struct dwx_type *t);
const struct dwx_type *dwx_strip_type(const struct dwx_type *t);
int dwx_type_equal(const struct dwx_type *a,const struct dwx_type *b);

void dwx_output_hexdump(FILE *file,const void *data,int length,int indent);
void dwx_output_type(FILE *file,const struct dwx_type *type);
void dwx_output_data(FILE *file,const struct dwx_type *type,const void *data);

void dwx_output_skip(const void *start,int length);
void dwx_output_all(void);

unsigned long dwx_lookup_unsigned(const struct dwx_type *t,
  const void *data,...);
long dwx_lookup_signed(const struct dwx_type *t,const void *data,...);

#endif /* DWXOUT_H */
