#!/bin/sh
#
# runtests.sh - Run regression tests from standard input
#
# Written 2001,2002 by Werner Almesberger
# Copyright 2001 EPFL-ICA
# Copyright 2001,2002 Bivio Networks, Network Robots
# Copyright 2002 Werner Almesberger, California Institute of Technology
#

# runtests.sh defines the commands run_uml, dump_rle, and dumpbb, so that no
# path names have to be specified to access it.

.  ../runtests.common

RUN_UML_CMD="`find_in_path run_uml $TOPDIR/uml:.:..:$PATH`"
add_command 'run_uml() { '$RUN_UML_CMD' "$@"; }'
DUMPBB_CMD="`find_in_path dumpbb $TOPDIR/dumpbb:.:..:$PATH`"
add_command 'dumpbb() { '$DUMPBB_CMD' "$@"; }'
ARGS="-c $TOPDIR/uml/rle.dbb $TOPDIR/linux/net/ipv4/tcp_ipv4.o the.dump"
add_command 'dump_rle() { '$DUMPBB_CMD' '"$ARGS"' "$@"; }'

run_tests "$@"
